#include <X11/Xlib.h>
#include <xview/xview.h>
#include "Video.h"

static Frame frame;
static VideoIn video;

Notify_value quit(client,status)
Notify_client client;
Destroy_status status;
{
	JPEGImage *j;

	if (status == DESTROY_CLEANUP) {
		j = (JPEGImage *) xv_get(video,VIDEO_JPEG_IMAGE);
		jpeg_save_still(xv_get(frame,XV_DISPLAY),j,"image");
		return(notify_next_destroy_func(client,status));
	}
	return(NOTIFY_DONE);
}

main(argc, argv)
int argc;
char *argv[];
{

    xv_init(XV_INIT_ARGC_PTR_ARGV, &argc, argv, NULL);

	frame = (Frame) xv_create(NULL,FRAME,
		XV_WIDTH,				322,
		XV_HEIGHT,				242,
		NULL);

	notify_interpose_destroy_func(frame,quit);

	video = (VideoIn) xv_create(frame,VIDEO_IN,
		VIDEO_LIVE,				FALSE,
		VIDEO_Q_FACTOR,				75,
	        XV_VISUAL_CLASS,                        TrueColor,
		NULL);

	window_fit(video);
	window_fit(frame);

    xv_main_loop(frame);
}
