/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log:	file.h,v $
 * Revision 1.6  92/06/05  18:54:55  eric
 * Moved from file.h to ../../../../include/file.h
 * 
 * Revision 1.5  92/05/21  15:12:26  schen
 * check in demo19
 * 
 * Revision 1.2  91/08/19  13:09:20  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifndef lint
static char *rcsid_file_h = "@(#)$Id: file.h,v 1.6 92/06/05 18:54:55 eric Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	file.h - include file for file.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializeFile();
extern int FileStatus();
extern int FileFrameNumber();
extern int SetFileAudio();
extern int SetFileVideo();
extern int ShowFileFrame();
extern int ShowFileSegment();
extern int FilePlay();
extern int FileReverse();
extern int FileStop();
extern int FileContinue();
extern int FileStill();
extern int FileStepForward();
extern int FileStepReverse();
extern int FileSlowForward();
extern int FileSlowReverse();
extern int FileFastForward();
extern int FileFastReverse();
extern int FileIndex();
extern int FileEject();

/* end of file.h */
