/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: tv2reg.h,v $
 * Revision 1.1  1991/07/11  18:00:41  eric
 * Initial revision
 *
 *
 */

#ifdef H_ID
#ifndef lint
static char *rcsid_tv2reg_h = "@(#)$Id: tv2reg.h,v 1.1 1991/07/11 18:00:41 eric Exp $ Parallax Graphics Inc";
#endif
#endif

#ifndef _tv2reg_h_
#define _tv2reg_h_

#define MAPBASE ((XV_mem_map *) 0)	/* for the following offset
						   calculations */
#define REGBASE ((int)(&MAPBASE->RW_regs))
#define M1BASE ((int)(MAPBASE->M1))
#define M8BASE ((int)(MAPBASE->M8))
#define M24BASE ((int)(MAPBASE->M24))
#define PROMBASE ((int)(MAPBASE->Prom1))
#define C3BASE ((int)(MAPBASE->Ccube))

/*	only the following should be used by user programs	*/

#define REGSIZE (0x1000)
#define PROMSIZE (0x10000)
#define C3SIZE (0x10000)

#define TV2_VADDR_FB1   (0)
#define TV2_VADDR_FB8   (0x40000)
#define TV2_VADDR_FB24 (0x140000)

#define TV2_VADDR_REG (0x800000)
#define TV2_VADDR_PROM (TV2_VADDR_REG + REGSIZE)
#define TV2_VADDR_C3 (TV2_VADDR_PROM + PROMSIZE)

#endif /* _tv2reg_h_ */
