/* (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved */

/* This file is $OPENWINHOME/src/client/xt/example/widget_test.c */

static char *rcsid = "@(#)$Id: widget_test.c,v 1.6 93/02/17 15:03:03 schen Exp $ Parallax Graphics Inc";

#include <stdio.h>
#include <sys/param.h>
#include <signal.h>
#include <X11/Xlib.h>
#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>
#include <XPlxExt.h>
#include <XVideo.h>

static XrmOptionDescRec options[] = {
	{"-live",	"*video.live",	XrmoptionNoArg,	"TRUE", },
	{"-still",	"*video.live",	XrmoptionNoArg,	"FALSE", },
};

Widget top, video_widget;

static unsigned int n;
static Arg args[25];
 
void main(argc, argv)
int argc;
char **argv;
{
#ifdef OPENLOOK
/*	Initialize OPENLOOK toolkit 	*/
	top = OlInitialize("xvideo", "XVideo", options, XtNumber(options), &argc, argv);
#else
	top = XtInitialize("xvideo", "XVideo", options, XtNumber(options), &argc, argv);
#endif

/*	Set up creation time resource values -  
        for example all the defaults are set
  	Then create widget	*/

	n = 0;
	XtSetArg(args[n], XtNborderWidth, 0); n++;
        XtSetArg(args[n], XtNsx, 0); n++;
        XtSetArg(args[n], XtNsy, 0); n++;
        XtSetArg(args[n], XtNlive, TRUE); n++;
        XtSetArg(args[n], XtNscale, FALSE); n++;
        XtSetArg(args[n], XtNsqueeze, FALSE); n++;
        XtSetArg(args[n], XtNstillsave, TRUE); n++;
        XtSetArg(args[n], XtNzoom, FALSE); n++;
        XtSetArg(args[n], XtNzoomWidget, NULL); n++;
        XtSetArg(args[n], XtNaspect, FALSE); n++;
	XtSetArg(args[n], XtNconfigWidget, top); n++;
	XtSetArg(args[n], XtNresizeParent, True); n++;
        XtSetArg(args[n], XtNwindowGravity, NorthWestGravity); n++;

	video_widget = XtCreateManagedWidget ("video", videoWidgetClass, 
		                               top,args,n);

/* 	After the video_widget is created, the rest of
	the resources can be set */   

	n = 0;	  
        XtSetArg(args[n], XtNsheight, 482); n++;
        XtSetArg(args[n], XtNswidth, 640); n++;
        XtSetArg(args[n], XtNnewframe, FALSE); n++;
        XtSetArg(args[n], XtNchannel, PLX_INPUT_0); n++;
        XtSetArg(args[n], XtNoutputchannel, PLX_IO_OFF); n++;
        XtSetArg(args[n], XtNinputType, PLX_NTSC); n++;
        XtSetArg(args[n], XtNinputFormat, PLX_COMP); n++;
        XtSetArg(args[n], XtNoutputType, PLX_NTSC); n++;
        XtSetArg(args[n], XtNoutputFormat, PLX_COMP); n++;
        XtSetArg(args[n], XtNwindowType, PLX_RGB24); n++;
        XtSetArg(args[n], XtNfactory, FALSE); n++;
        XtSetArg(args[n], XtNredisplay, FALSE); n++;

	XtSetValues(video_widget,args,n);

	XtRealizeWidget(top);
	
	XtMainLoop();
}
